<?php 



if ( ! defined( 'ABSPATH' ) ) { 

    exit; 

}



// Check Plugins and System Compatibility

BindCommerce::check();



?>



<div class="bindcommerce">

    

    <div class="season_tabs">



        <div class="season_tab">

            <img class="dashboard-logo" src="<?php echo BindCommerce_Tools::get_plugin_url() . "admin/images/bindcommerce-dashboard-logo.png"; ?>">

        </div>



        <div class="season_tab">

            <input type="radio" id="tab-1" name="tab-group-1" checked>

            <label class="dashicons-before dashicons-screenoptions" for="tab-1"><?php echo __("Dashboard", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

            <div class="season_content">

                <div class="main-box-container"> 



                    <div class="summary-boxes bc-columns">

                        <div class="bc-column bc-box">

                            <div class="row bc-header"><?php echo bindcommerce_get_exported_products_count(); ?></div>

                            <div class="row bc-description"><?php echo __("Prodotti esportati", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                        </div>                  

                        <div class="bc-column bc-box">

                            <div class="row bc-header"><?php echo bindcommerce_get_imported_orders_count(); ?></div>

                            <div class="row bc-description"><?php echo __("Ordini importati", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                        </div>                    

                    </div>



                    <div class="system-status-box bc-columns">

                        <div class="bc-row bc-box">

                            <?php //<div class="bc-description dashicons-before dashicons-yes-alt"><?php echo __("Il plugin è aggiornato all'ultima versione disponibile", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); </div> ?>

                            <?php //<div class="bc-description dashicons-before dashicons-warning">È disponibile un nuovo aggiornamento. La versione più recente è la: </div> ?>

                            <div class="bc-description"><?php echo "bindCommerce - v" . BINDCOMMERCE_PLUGIN_VERSION; ?></div>

                        </div>            

                    </div>



                </div>

            </div> 

        </div>



        <div class="season_tab">

            <input type="radio" id="tab-2" name="tab-group-1">

            <label class="dashicons-before dashicons-update-alt" for="tab-2"><?php echo __("Sync", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label></label>       

            <div class="season_content">  



                <div class="tab-box-container">

                    <div class="tab-boxes bc-columns">



                        <!-- Export Products -->

                        <div class="bc-column bc-box">

                            <div class="bc-dash-sync-icon dashicons-before dashicons-media-document"></div>

                            <div class="row bc-description"><?php echo __("Seleziona il numero di prodotti che vuoi esportare su bindCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                                                

                            <select class="bindcommerce_export_products_limit">

                                <option value="">-</option>

                                <option value="1">1</option>

                                <option value="5">5</option>

                                <option value="20">20</option>

                                <option value="50">50</option>

                                <option value="100">100</option>

                                <option value="250">250</option>

                                <option value="500">500</option>

                                <option value="1000">1000</option>

                                <option value="-1"><?php echo __("Tutti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>       

                            </select> 

                            <a id="bindcommerce_export_product_button" data-product-id="-1" class="row bc-primary-button"><?php echo __("Esporta prodotti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                            

                            <div class="bindcommerce_export_products_interval_container">



                                <span><?php echo __("Dall'ID", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                                <input type="text" class="bindcommerce_export_products_start_by inline-block">

                                <span><?php echo __("all'ID", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                                <input type="text" class="bindcommerce_export_products_end_by inline-block">

                                

                            </div>                        

                            

                            <select class="bindcommerce_export_products_order_by">

                                <option value="ASC"><?php echo __("Dal meno recente al più recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="DESC"><?php echo __("Dal più recente al meno recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select>

                            <select class="bindcommerce_export_products_mode" style="margin-top:0!important;">

                                <option value="full"><?php echo __("Sincronizza tutti i dati", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="quantity"><?php echo __("Sincronizza solo quantità", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="price"><?php echo __("Sincronizza solo prezzi", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select>

                            <select class="bindcommerce_export_products_type" style="margin-top:0!important;">

                                <option value="incremental"><?php echo __("Invio incrementale", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="full"><?php echo __("Invio full", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select>



                        </div> 



                        <!-- Import Orders -->

                        <div class="bc-column bc-box">

                            <div class="bc-dash-sync-icon dashicons-before dashicons-cart"></div>

                            <div class="row bc-description"><?php echo __("Seleziona il numero di ordini che vuoi creare su WooCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                            <select class="bindcommerce_import_orders_limit">

                                <option value="">-</option>

                                <option value="1">1</option>

                                <option value="5">5</option>

                                <option value="20">20</option>

                                <option value="50">50</option>

                                <option value="100">100</option>

                                <option value="250">250</option>

                                <option value="500">500</option>

                                <option value="1000">1000</option>

                                <option value="-1"><?php echo __("Tutti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>       

                            </select> 

                            <a id="bindcommerce_import_order_button" data-order-id="-1" class="row bc-primary-button"><?php echo __("Crea Ordini", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                            <select class="bindcommerce_import_orders_order_by">

                                <option value="asc"><?php echo __("Dal meno recente al più recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="desc"><?php echo __("Dal più recente al meno recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select> 

                        </div> 



                        <!-- Update Orders -->

                        <div class="bc-column bc-box">

                            <div class="bc-dash-sync-icon dashicons-before dashicons-feedback"></div>

                            <div class="row bc-description"><?php echo __("Seleziona il numero di ordini che vuoi aggiornare su WooCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                            <select class="bindcommerce_import_orders_limit">

                                <option value="">-</option>

                                <option value="1">1</option>

                                <option value="5">5</option>

                                <option value="20">20</option>

                                <option value="50">50</option>

                                <option value="100">100</option>

                                <option value="250">250</option>

                                <option value="500">500</option>

                                <option value="1000">1000</option>

                                <option value="-1"><?php echo __("Tutti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>       

                            </select> 

                            <a id="bindcommerce_update_existing_order_button" data-order-id="-1" class="row bc-primary-button"><?php echo __("Aggiorna ordini", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                            <select class="bindcommerce_import_orders_order_by">

                                <option value="asc"><?php echo __("Dal meno recente al più recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="desc"><?php echo __("Dal più recente al meno recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select> 

                        </div> 

                        

                        <?php 

                        /*

                        <div class="bc-column bc-box">

                            <div class="bc-box-disabled"></div>

                            <div class="bc-dash-sync-icon dashicons-before dashicons-airplane"></div>

                            <div class="row bc-description"><?php echo __("Seleziona il numero di ordini che vuoi aggiornare su bindCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                            <select>

                                <option value="">-</option>

                                <option value="1">1</option>

                                <option value="5">5</option>

                                <option value="20">20</option>

                                <option value="50">50</option>

                                <option value="100">100</option>

                                <option value="250">250</option>

                                <option value="500">500</option>

                                <option value="1000">1000</option>

                                <option value="-1"><?php echo __("Tutti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>       

                            </select> 

                            <a id="bindcommerce_export_update_order_button" data-order-id="-1" class="row bc-primary-button"><?php echo __("Esporta ordini", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                            <select class="bindcommerce_export_update_orders_order">

                                <option value="asc"><?php echo __("Dal meno recente al più recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                                <option value="desc"><?php echo __("Dal più recente al meno recente", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></option>

                            </select> 

                        </div>

                        */

                        ?>



                    </div>



                    <div class="system-status-box bc-columns">

                        <div class="bc-row bc-box">

                            <div class="bc-description dashicons-before dashicons-info"><?php echo __("Nota: Le procedure potrebbero richiedere diversi minuti per il completamento.", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></div>

                        </div>            

                    </div>



                </div>



                

            </div> 

        </div>

        

        <div class="season_tab">

            <input type="radio" id="tab-3" name="tab-group-1">

            <label class="dashicons-before dashicons-hammer" for="tab-3"><?php echo __("Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

            <div class="season_content">

                <div class="right">

                    <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                </div>   



                <?php     

                    $query = 

                    "

                        SELECT option_name, option_value, option_type, option_attributes

                        FROM " . DB_NAME . "." .  BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " 

                        WHERE option_status='1' 

                        AND option_name LIKE 'bindcommerce\_%'

                        AND option_name NOT LIKE 'bindcommerce_plugin_version_saved'

                        AND option_name NOT LIKE 'bindcommerce_api_key' 

                        AND option_name NOT LIKE 'bindcommerce_mapping\_%' 

                        AND option_name NOT LIKE 'bindcommerce_cron\_%' 

                        AND option_name NOT LIKE 'bindcommerce_orders_force_order_import'

                        AND option_name NOT LIKE 'bindcommerce_api_connector_export_orders'

                        AND option_name NOT LIKE 'bindcommerce_api_connector_import_products'

                        ORDER BY id;

                    "; 

                    echo BindCommerce_HTML_Block::bindcommerce_settings_field($query); 

                ?>



                <div class="right">

                    <div class="bindcommerce-reset-container bindcommerce-reset-settings-container" style="float:left;">

                        <a href="#" class="bindcommerce-reset-btn"><?php echo __("Ripristina impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                        <div class="bindcommerce-reset-message bc-hidden">

                            <span><?php echo __("Sei sicuro di voler continuare?", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                            <span class="bindcommerce-confirm-reset"><?php echo __("Si", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                            <span class="bindcommerce-cancel-reset"><?php echo __("No", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                        </div>

                    </div>

                    <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                </div> 

            </div> 

        </div>



        <div class="season_tab">

            <input type="radio" id="tab-4" name="tab-group-1">

            <label class="dashicons-before dashicons-randomize" for="tab-4"><?php echo __("Mapping", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

            <div class="season_content">  



                <div class="tab-box-container">

                    <div class="tab-boxes bc-columns">



                        <!--Export Products Mapping Container-->

                        <div class="bc-column bc-box">



                            <!--Products Mapping Button-->

                            <div class="bc-box-mapping-button bc-box-export-products-button">

                                <div class="bc-dash-sync-icon dashicons-before dashicons-text"></div>

                                <p><?php echo __("Export Prodotti", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></p>

                            </div>



                            <!--Products Mapping Content-->

                            <div class="bc-box-mapping-content bc-box-export-products-container bc-hidden">

                                <div class="right">

                                    <a href="#" class="bindcommerce-goback"><?php echo __("Torna Indietro", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                    <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                </div>   



                                <div class="bc-mapping-fields-container">                                

                                

                                    <?php     

                                        $query = 

                                        "

                                            SELECT option_name, option_value, option_type, option_attributes

                                            FROM " . DB_NAME . "." .  BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " 

                                            WHERE option_status='1' 

                                            AND option_name LIKE 'bindcommerce_mapping_product\_%'

                                            ORDER BY id;

                                        ";

                                        echo BindCommerce_HTML_Block::bindcommerce_settings_field($query); 

                                    ?>



                                </div>



                                <div class="right">

                                    <a href="#" class="bindcommerce-goback"><?php echo __("Torna Indietro", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                        <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                </div>

                            </div>



                        </div>

                        <!--END Import Order Mapping Container-->



                        <!--Import Order Mapping Container-->

                        <div class="bc-column bc-box">



                            <!--Orders Mapping Button-->

                            <div class="bc-box-mapping-button bc-box-import-orders-container">

                                <div class="bc-dash-sync-icon dashicons-before dashicons-editor-ul"></div>

                                <p><?php echo __("Import Ordini", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></p>

                            </div>



                            <!--Orders Mapping Content-->

                            <div class="bc-box-mapping-content bc-hidden">

                                <div class="right">

                                    <a href="#" class="bindcommerce-goback"><?php echo __("Torna Indietro", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                    <a href="#" class="bindcommerce-save-mapping"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                </div>   



                                <div class="bc-mapping-fields-container">

                                    <table class="bc-mapping-fields-table">

                                        <thead>

                                            <tr>

                                                <th><?php echo __("Mapping", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></th>

                                                <th><?php echo __("Stato bindCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></th>

                                                <th><?php echo __("Stato WooCommerce", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></th>

                                                <th><?php echo __("Inventario - Creazione Ordine", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></th>

                                                <th><?php echo __("Inventario - Aggiornamento Ordine", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></th>

                                                <th></th>

                                            </tr>

                                        </thead>



                                        <tbody class="bindcommerce-input-row-container">

                                            

                                            <?php 

                                                $html_block = new BindCommerce_HTML_Block();

                                                echo $html_block->bindcommerce_order_states_mapping_db();

                                            ?>



                                        </tbody>



                                    </table>

                                </div>



                                <div class="right">

                                    <a href="#" class="bindcommerce-goback"><?php echo __("Torna Indietro", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                    <a href="#" class="bindcommerce-save-mapping"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                                </div>

                            </div>



                        </div>

                        <!--END Import Order Mapping Container-->



                    </div>



                </div>

            

            </div>



        </div>  



        <div class="season_tab">

            <input type="radio" id="tab-5" name="tab-group-1">

            <label class="dashicons-before dashicons-calendar-alt" for="tab-5"><?php echo __("Azioni programmate", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

            <div class="season_content">                  

                <div class="right">

                    <a href="#" class="bindcommerce-refresh-token"><?php echo __("Rigenera Token", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                    <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                </div>   

                

                <?php     

                    $query = 

                    "

                        SELECT option_name, option_value, option_type, option_attributes

                        FROM " . DB_NAME . "." .  BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " 

                        WHERE option_status='1' 

                        AND option_name LIKE 'bindcommerce_cron\_%'

                        AND option_name NOT LIKE 'bindcommerce_cron_import_products'

                        AND option_name NOT LIKE 'bindcommerce_cron_export_orders'

                        AND option_name NOT LIKE 'bindcommerce_cron_export_order_states'

                        ORDER BY id;

                    "; 

                    echo BindCommerce_HTML_Block::bindcommerce_settings_field($query); 

                ?>



                <div class="right">

                    <a href="#" class="bindcommerce-refresh-token"><?php echo __("Rigenera Token", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                    <a href="#" class="bindcommerce-save"><?php echo __("Salva Impostazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                </div> 

            </div> 

        </div>



        <?php if (BindCommerce_Setting::is_debug_mode_view_enabled() === true) { ?>



            <div class="season_tab">

                <input type="radio" id="tab-7" name="tab-group-1">

                <label class="dashicons-before dashicons-editor-code" for="tab-7"><?php echo __("Debug", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

                <div class="season_content">

                    <div class="right">

                        <span><?php echo __("Visualizza le ultime ", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                        <select class="bindcommerce-logs-limit">

                            <option value="10">10</option>

                            <option value="20">20</option>

                            <option value="50">50</option>

                            <option value="100">100</option>

                            <option value="250">250</option>

                            <option value="500">500</option>

                        </select> 

                        <span style="margin-right:10px;"><?php echo __(" righe dei log catturati", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                        <a href="#" class="bindcommerce-refresh-logs"><?php echo __("Aggiorna Log", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                    </div>               

                    <p class="bc-logs-container">

                        <?php echo BindCommerce_Logger::get_logs(); ?>

                    </p>

                    <div class="right">

                        <div class="bindcommerce-reset-container bindcommerce-reset-settings-container" style="float:left;">

                            <a href="#" class="bindcommerce-reset-btn"><?php echo __("Cancella Log", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                            <div class="bindcommerce-reset-message bc-hidden">

                                <span><?php echo __("Sei sicuro di voler continuare?", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                                <span class="bindcommerce-delete-logs"><?php echo __("Si", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                                <span class="bindcommerce-cancel-reset"><?php echo __("No", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                            </div>

                        </div>

                        <span><?php echo __("Visualizza le ultime ", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                        <select class="bindcommerce-logs-limit">

                            <option value="10">10</option>

                            <option value="20">20</option>

                            <option value="50">50</option>

                            <option value="100">100</option>

                            <option value="200">200</option>

                        </select> 

                        <span style="margin-right:10px;"><?php echo __(" righe dei log catturati", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></span>

                        <a href="#" class="bindcommerce-refresh-logs"><?php echo __("Aggiorna Log", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></a>

                    </div> 

                </div> 

            </div>  



        <?php } ?>



        <div class="season_tab bc-information-tab">

            <input type="radio" id="tab-6" name="tab-group-1">

            <label class="dashicons-before dashicons-info" for="tab-6"><?php echo __("Informazioni", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?></label>

            

            <div class="bc-information-container bc-hidden">                

                <small>

                    <?php echo __("Per informazioni sull'utilizzo di questo plugin consulta il sito <a href='https://www.bindcommerce.com/it/guide/piattaforme-ecommerce/woocommerce-integrazione/plugin-bindcommerce' target='_blank'>bindCommerce</a>", BINDCOMMERCE_PLUGIN_TEXT_DOMAIN); ?>

                </small>

            </div>



        </div>           

        

    </div>

    

</div>



<?php 



include_once( BINDCOMMERCE_PLUGIN_PATH . "admin/components/footer.php");



?>