<?php 



if (!class_exists( "WP" )) {    

    $parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );    

    require_once( $parse_uri[0] . 'wp-load.php' );

}



if (!defined( "ABSPATH" )) {

    exit;

}



global $wpdb;



/**

 * 

 * Define all constants

 *

 * @since 1.0.0

 * 

 */

define( 'BINDCOMMERCE_PLUGIN_VERSION',                                      "1.0.3" );

define( 'BINDCOMMERCE_REQUIRED_PHP_VERSION',                                "5.6" );

define( 'BINDCOMMERCE_REQUIRED_WC_VERSION',                                 "4.5.0" );



if (!defined('STDOUT')) {

    define( 'STDOUT',                                                       fopen('php://stdout', 'wb') );

}



if (!defined( 'BINDCOMMERCE_PLUGIN_DIR_NAME' )) {

    define( "BINDCOMMERCE_PLUGIN_DIR_NAME",                                 basename(__DIR__) );

}



if (!defined( 'BINDCOMMERCE_PLUGIN_PATH' )) {

    define( 'BINDCOMMERCE_PLUGIN_PATH',                                     plugin_dir_path( __FILE__ ) );

}



if (!defined( 'BINDCOMMERCE_PLUGIN_TEXT_DOMAIN' )) {

    define( "BINDCOMMERCE_PLUGIN_TEXT_DOMAIN",                              "bindcommerce" );

}



if (!defined( 'BINDCOMMERCE_LOGS_PATH' )) {

    define( 'BINDCOMMERCE_LOGS_PATH',                                       BINDCOMMERCE_PLUGIN_PATH . 'logs');

}



if (!defined( 'BINDCOMMERCE_DB_WP_PREFIX' )) {

    define( 'BINDCOMMERCE_DB_WP_PREFIX',                                    $wpdb->prefix );  

}



if (!defined( 'BINDCOMMERCE_DB_CHARSET_COLLATE' )) {

    define( 'BINDCOMMERCE_DB_CHARSET_COLLATE',                              "DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci" );

}



if (!defined( 'BINDCOMMERCE_DB_TABLE_OPTIONS' )) {

    define( 'BINDCOMMERCE_DB_TABLE_OPTIONS',                                "bindcommerce_options" );

}



if (!defined( 'BINDCOMMERCE_DB_BINDCOMMERCE_TABLE_MAPPING_IMPORT_ORDERS' )) {

    define( 'BINDCOMMERCE_DB_BINDCOMMERCE_TABLE_MAPPING_IMPORT_ORDERS',     "bindcommerce_mapping_import_orders" );

}



if (!defined( 'BINDCOMMERCE_DB_TABLE_SYNC_IMPORT_ORDERS' )) {

    define( 'BINDCOMMERCE_DB_TABLE_SYNC_IMPORT_ORDERS',                     "bindcommerce_sync_import_orders" );

}



if (!defined( 'BINDCOMMERCE_DB_TABLE_SYNC_EXPORT_PRODUCTS' )) {

    define( 'BINDCOMMERCE_DB_TABLE_SYNC_EXPORT_PRODUCTS',                   "bindcommerce_sync_export_products" );

}



if (!defined( 'BINDCOMMERCE_WC_DB_WOOCOMMERCE_TAX_RATES' )) {

    define( 'BINDCOMMERCE_WC_DB_WOOCOMMERCE_TAX_RATES',                     "woocommerce_tax_rates" );

}



if (!defined( 'BINDCOMMERCE_DB_WP_POSTS' )) {

    define( 'BINDCOMMERCE_DB_WP_POSTS',                                     "posts" );

}



if (!defined( 'BINDCOMMERCE_DB_WP_TERMS' )) {

    define( 'BINDCOMMERCE_DB_WP_TERMS',                                     "terms" );

}



if (!defined( 'BINDCOMMERCE_DB_WP_TERM_RELATIONSHIPS' )) {

    define( 'BINDCOMMERCE_DB_WP_TERM_RELATIONSHIPS',                        "term_relationships" );

}



if (!defined( 'BINDCOMMERCE_WC_ATTRIBUTE_TAXONOMIES' )) {

    define( 'BINDCOMMERCE_WC_ATTRIBUTE_TAXONOMIES',                         "woocommerce_attribute_taxonomies" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SYNC' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SYNC',                               "bindcommerce_product_sync" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_REGULAR_PRICE' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_REGULAR_PRICE',               "bindcommerce_product_simple_regular_price_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_SALE_PRICE' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_SALE_PRICE',                  "bindcommerce_product_simple_sale_price_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_QUANTITY' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_QUANTITY',                    "bindcommerce_product_simple_quantity_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_TAX_AMOUNT' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_TAX_AMOUNT',                  "bindcommerce_product_simple_tax_amount_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_SUPPLEMENT_AMOUNT' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_SUPPLEMENT_AMOUNT',           "bindcommerce_product_simple_supplement_amount_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_GTIN' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_SIMPLE_GTIN',                         "bindcommerce_product_simple_gtin_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_REGULAR_PRICE' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_REGULAR_PRICE',            "bindcommerce_product_variation_regular_price_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_SALE_PRICE' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_SALE_PRICE',               "bindcommerce_product_variation_sale_price_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_QUANTITY' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_QUANTITY',                 "bindcommerce_product_variation_quantity_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_TAX_AMOUNT' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_TAX_AMOUNT',               "bindcommerce_product_variation_tax_amount_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_SUPPLEMENT_AMOUNT' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_SUPPLEMENT_AMOUNT',        "bindcommerce_product_variation_supplement_amount_input" );

}



if (!defined( 'BINDCOMMERCE_PRODUCT_META_VARIATION_GTIN' )) {

    define( 'BINDCOMMERCE_PRODUCT_META_VARIATION_GTIN',                     "bindcommerce_product_variation_gtin_input" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_DOCUMENT_TYPE' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_DOCUMENT_TYPE',                "bindcommerce_order_general_document_type" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_BINDCOMMERCE_NUMBER' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_BINDCOMMERCE_NUMBER',          "bindcommerce_order_general_bindcommerce_number" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_NUMBER' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_NUMBER',                       "bindcommerce_order_general_number" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_NODE' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_NODE',                         "bindcommerce_order_general_node" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_NODE_ID' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_NODE_ID',                      "bindcommerce_order_general_node_id" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_TECHNOLOGY' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_TECHNOLOGY',                   "bindcommerce_order_general_technology" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_MARKET' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_MARKET',                       "bindcommerce_order_general_market" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_DATE' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_DATE',                         "bindcommerce_order_general_date" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_LAST_UPDATE' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_LAST_UPDATE',                  "bindcommerce_order_general_last_update" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_BIND_ID' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_BIND_ID',                "bindcommerce_order_general_state_bind_id" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_CODE' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_CODE',                   "bindcommerce_order_general_state_code" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_NAME' )) {

    define( 'BINDCOMMERCE_ORDER_META_GENERAL_STATE_NAME',                   "bindcommerce_order_general_state_name" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL_WITHOUT_TAX' )) {

    define( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL_WITHOUT_TAX',            "bindcommerce_order_amounts_total_without_tax" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL' )) {

    define( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL',                        "bindcommerce_order_amounts_total" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL_SHIPPING_COST' )) {

    define( 'BINDCOMMERCE_ORDER_META_AMOUNTS_TOTAL_SHIPPING_COST',          "bindcommerce_order_amounts_total_shipping_cost" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_AMOUNTS_CURRENCY' )) {

    define( 'BINDCOMMERCE_ORDER_META_AMOUNTS_CURRENCY',                     "bindcommerce_order_amounts_currency" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_SHIPPING_CARRIER' )) {

    define( 'BINDCOMMERCE_ORDER_META_SHIPPING_CARRIER',                     "bindcommerce_order_shipping_carrier" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_SHIPPING_TRACKING_NUMBER' )) {

    define( 'BINDCOMMERCE_ORDER_META_SHIPPING_TRACKING_NUMBER',             "bindcommerce_order_shipping_tracking_number" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_SHIPPING_TRANSPORTED_WEIGHT' )) {

    define( 'BINDCOMMERCE_ORDER_META_SHIPPING_TRANSPORTED_WEIGHT',          "bindcommerce_order_shipping_transported_weight" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_SHIPPING_SHIPPED_TIME' )) {

    define( 'BINDCOMMERCE_ORDER_META_SHIPPING_SHIPPED_TIME',                "bindcommerce_order_shipping_shipped_time" );

}



if (!defined( 'BINDCOMMERCE_ORDER_META_MISSING_PRODUCTS' )) {

    define( 'BINDCOMMERCE_ORDER_META_MISSING_PRODUCTS',                     "bindcommerce_order_missing_products" );

}





/**

 * 

 * Require all classes

 * 

 * @since 1.0.0

 * 

 */

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-logger.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-tools.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-db.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-setup.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-settings.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-strings.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-api.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-cron.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-orders.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-products.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-mapping.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-html-blocks.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-addons.php');





/**

 * 

 * Require all functions

 * 

 * @since 1.0.0

 * 

 */

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/functions/functions-bindcommerce.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/functions/functions-wordpress.php');

require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/functions/functions-woocommerce.php');

