<?php



if (!defined("ABSPATH")) {

    exit;

}



$sql = 

"CREATE TABLE IF NOT EXISTS " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_SYNC_IMPORT_ORDERS . " (



    `sync_id`                     BIGINT              UNSIGNED NOT NULL AUTO_INCREMENT,

    `woocommerce_order_id`        BIGINT              UNSIGNED NULL,

    `bindcommerce_order_number`   VARCHAR(50)         NULL,

    `sync_date`                   TIMESTAMP           NULL DEFAULT CURRENT_TIMESTAMP,

    `sync_last_update`            TIMESTAMP           NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,



    PRIMARY KEY     (`sync_id`), 

    UNIQUE          (`sync_id`, `woocommerce_order_id`, `bindcommerce_order_number`),

    FOREIGN KEY     (`woocommerce_order_id`)   

        REFERENCES " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_WP_POSTS . "(`ID`) 

        ON DELETE CASCADE ON UPDATE CASCADE



) " . BINDCOMMERCE_DB_CHARSET_COLLATE . ";";



require_once(ABSPATH . "wp-admin/includes/upgrade.php");

dbDelta( $sql );



return true;  



?>