<?php



if (!defined("ABSPATH")) {

    exit;

}



global $wpdb;





// Check if record already exist

$bindcommerce_plugin_version_saved = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_plugin_version_saved';



");



if ( empty($bindcommerce_plugin_version_saved) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_plugin_version_saved',

            'option_value'          => '',

            'option_type'           => 'input_readable',

            'option_attributes'     => ''

        ]

    );



}





// Check if record already exist

$bindcommerce_api_key = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_key';



");



if ( empty($bindcommerce_api_key) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_key',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}

           



// Check if record already exist

$bindcommerce_api_token = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_token';



");



if ( empty($bindcommerce_api_token) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [           

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_token',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_api_connector_import_orders = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_connector_import_orders';



");



if ( empty($bindcommerce_api_connector_import_orders) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_connector_import_orders',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_api_connector_export_orders = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_connector_export_orders';



");



if ( empty($bindcommerce_api_connector_export_orders) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_connector_export_orders',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_api_connector_import_products = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_connector_import_products';



");



if ( empty($bindcommerce_api_connector_import_products) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                        

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_connector_import_products',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_api_connector_export_products = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_api_connector_export_products';



");



if ( empty($bindcommerce_api_connector_export_products) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                        

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_api_connector_export_products',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half',

            ])

        ]

    );



}



require_once( BINDCOMMERCE_PLUGIN_PATH . 'includes/classes/class-bindcommerce-tools.php');

// Generate random cron token

$random_token = BindCommerce_Tools::generate_random_text(32);





// Check if record already exist

$bindcommerce_cron_token = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_token';



");



if ( empty($bindcommerce_cron_token) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [           

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_token',

            'option_value'          => $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-half bc-after-button dashicons-before dashicons-image-rotate',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_import_products = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_import_products';



");



if ( empty($bindcommerce_cron_import_products) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_import_products',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-import-products.php?mode=quantity&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_export_products = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_export_products';



");



if ( empty($bindcommerce_cron_export_products) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_export_products',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-export-products.php?mode=quantity&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_import_orders = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_import_orders';



");



if ( empty($bindcommerce_cron_import_orders) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_import_orders',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-import-orders.php?limit=20&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_export_orders = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_export_orders';



");



if ( empty($bindcommerce_cron_export_orders) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_export_orders',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-export-orders.php?limit=20&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_update_wc_orders = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_update_wc_orders';



");



if ( empty($bindcommerce_cron_update_wc_orders) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_update_wc_orders',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-update-wc-orders.php?limit=20&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_cron_export_order_states = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_cron_export_order_states';



");



if ( empty($bindcommerce_cron_export_order_states) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_cron_export_order_states',

            'option_value'          => BindCommerce_Tools::get_plugin_url() . "includes/cron/cron-bindcommerce-export-order-states.php?limit=20&token=" . $random_token,

            'option_type'           => 'input_readable',

            'option_attributes'     => serialize([ 

                "class" => 'bc-full',

            ])

        ]

    );



}





// Check if record already exist

$bindcommerce_products_sync_edit_product_status = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_sync_edit_product_status';



");



if ( empty($bindcommerce_products_sync_edit_product_status) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_products_sync_edit_product_status',

            'option_value'          => 1,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_export_drafts = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_export_drafts';



");



if ( empty($bindcommerce_products_export_drafts) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_products_export_drafts',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_gtin_fields = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_gtin_fields';



");

    

if ( empty($bindcommerce_gtin_fields) ) {   



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [         

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_gtin_fields',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_gtin_front_end_fields = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_gtin_front_end_fields';



");

    

if ( empty($bindcommerce_gtin_front_end_fields) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [         

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_gtin_front_end_fields',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_import_mode = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_import_mode';



");



if ( empty($bindcommerce_products_import_mode) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_products_import_mode',

            'option_value'          => serialize([ 

                "id"         => true,

                "cod"        => "",

            ]),

            'option_type'           => 'select',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_import_prefix_status = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_import_prefix_status';



");



if ( empty($bindcommerce_products_import_prefix_status) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_products_import_prefix_status',

            'option_value'          => 1,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );

}





// Check if record already exist

$bindcommerce_products_import_prefix = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_import_prefix';



");



if ( empty($bindcommerce_products_import_prefix) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_products_import_prefix',

            'option_value'          => 'bc_',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class"         => '',

                "placeholder"   => 'Es. bc_',

            ]),

        ]

    );



}





// Check if record already exist

$bindcommerce_orders_force_order_import = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_orders_force_order_import';



");



if ( empty($bindcommerce_orders_force_order_import) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_orders_force_order_import',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_debug_mode = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_debug_mode';



");



if ( empty($bindcommerce_debug_mode) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_debug_mode',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_debug_mode_view = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_debug_mode_view';



");



if ( empty($bindcommerce_debug_mode_view) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_debug_mode_view',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_debug_notify_email = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_debug_notify_email';



");



if ( empty($bindcommerce_debug_notify_email) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_debug_notify_email',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_debug_notify_email_list = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_debug_notify_email_list';



");



if ( empty($bindcommerce_debug_notify_email_list) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_debug_notify_email_list',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class"         => 'bc-full',

                "placeholder"   => 'Es. test@bindcommerce.com, test2@bindcommerce.com',

            ]),

        ]

    );



}





// Check if record already exist

$bindcommerce_delete_all_data_after_uninstall = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_delete_all_data_after_uninstall';



");



if ( empty($bindcommerce_delete_all_data_after_uninstall) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_delete_all_data_after_uninstall',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_tax_status_amount = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_tax_status_amount';



");



if ( empty($bindcommerce_products_tax_status_amount) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                     

            'option_status'         => 0,

            'option_name'           => 'bindcommerce_products_tax_status_amount',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_tax_value_amount = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_tax_value_amount';



");



if ( empty($bindcommerce_products_tax_value_amount) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [           

            'option_status'         => 0,

            'option_name'           => 'bindcommerce_products_tax_value_amount',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class"         => '',

                "placeholder"   => 'Es. 22%',

            ]),

        ]

    );



}





// Check if record already exist

$bindcommerce_products_supplement_status_amount = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_supplement_status_amount';



");



if ( empty($bindcommerce_products_supplement_status_amount) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 0,

            'option_name'           => 'bindcommerce_products_supplement_status_amount',

            'option_value'          => 0,

            'option_type'           => 'switch',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_products_supplement_value_amount = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_products_supplement_value_amount';



");



if ( empty($bindcommerce_products_supplement_value_amount) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [                    

            'option_status'         => 0,

            'option_name'           => 'bindcommerce_products_supplement_value_amount',

            'option_value'          => '',

            'option_type'           => 'input_text',

            'option_attributes'     => serialize([ 

                "class"         => '',

                "placeholder"   => 'Es. 15% - 9.99',

            ]),

        ]

    );



}





// Check if record already exist

$bindcommerce_mapping_product_manufacturer = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_mapping_product_manufacturer';



");



if ( empty($bindcommerce_mapping_product_manufacturer) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_mapping_product_manufacturer',

            'option_value'          => '',

            'option_type'           => 'select_product_attributes',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_mapping_product_supplier = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_mapping_product_supplier';



");



if ( empty($bindcommerce_mapping_product_supplier) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_mapping_product_supplier',

            'option_value'          => '',

            'option_type'           => 'select_product_attributes',

            'option_attributes'     => '',

        ]

    );



}





// Check if record already exist

$bindcommerce_mapping_order_status_shipping = BindCommerce_DB::get_result("



    SELECT id

    FROM " . BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS . " " . "

    WHERE  option_name = 'bindcommerce_mapping_order_status_shipping';



");



if ( empty($bindcommerce_mapping_order_status_shipping) ) {



    $wpdb->insert( BINDCOMMERCE_DB_WP_PREFIX . BINDCOMMERCE_DB_TABLE_OPTIONS, [

            'option_status'         => 1,

            'option_name'           => 'bindcommerce_mapping_order_status_shipping',

            'option_value'          => '',

            'option_type'           => 'select_order_statuses',

            'option_attributes'     => '',

        ]

    );



}    



return true;



?>

